PUT api/Account/EditUserAccountNotification

Request Information

URI Parameters

None.

Body Parameters

AccountInfoViewModel
NameDescriptionTypeAdditional information
CurrentPlan

string

None.

SubscriptionStatus

string

None.

HasEnsembleMember

boolean

None.

HasAccessRole

boolean

None.

Description

string

None.

InstagramLink

string

None.

TikTokLink

string

None.

Url

string

None.

UserId

string

None.

UserName

string

None.

FullName

string

None.

Email

string

None.

NotificationsMessage

boolean

None.

NotificationsLink

boolean

None.

PhotoProfile

string

None.

PhoneNumber

string

None.

BankAccountID

string

None.

CustomerID

string

None.

bankName

string

None.

IsMember

boolean

None.

HasPayoutEnable

boolean

None.

IsFirstProduct

boolean

None.

Status

string

None.

CardCount

integer

None.

IsEmailMePurchases

boolean

None.

IsEmailMeMessages

boolean

None.

IsEmailMeNews

boolean

None.

ReviewsCount

integer

None.

RatingCount

decimal number

None.

UserRole

string

None.

RegisterViewModel

RegisterEnsembleViewModel

None.

Addresses

Collection of AddressViewModel

None.

CardsUser

Collection of GetCardUserViewModel

None.

Notifications

Collection of GetNotificationViewModel

None.

Request Formats

application/json, text/json

Sample:
{
  "currentPlan": "sample string 1",
  "subscriptionStatus": "sample string 2",
  "hasEnsembleMember": true,
  "hasAccessRole": true,
  "description": "sample string 5",
  "instagramLink": "sample string 6",
  "tikTokLink": "sample string 7",
  "url": "sample string 8",
  "userId": "sample string 9",
  "userName": "sample string 10",
  "fullName": "sample string 11",
  "email": "sample string 12",
  "notificationsMessage": true,
  "notificationsLink": true,
  "photoProfile": "sample string 13",
  "phoneNumber": "sample string 14",
  "bankAccountID": "sample string 15",
  "customerID": "sample string 16",
  "bankName": "sample string 17",
  "isMember": true,
  "hasPayoutEnable": true,
  "isFirstProduct": true,
  "status": "sample string 19",
  "cardCount": 1,
  "isEmailMePurchases": true,
  "isEmailMeMessages": true,
  "isEmailMeNews": true,
  "reviewsCount": 1,
  "ratingCount": 1.1,
  "userRole": "sample string 20",
  "registerViewModel": {
    "email": "sample string 1",
    "password": "sample string 2",
    "studioName": "sample string 3",
    "username": "sample string 4",
    "role": "sample string 5",
    "fullName": "sample string 6"
  },
  "addresses": [
    {
      "id": 1,
      "country": "sample string 2",
      "streetAddress": "sample string 3",
      "city": "sample string 4",
      "state": "sample string 5",
      "zip": "sample string 6",
      "userId": "sample string 7",
      "contactName": "sample string 8",
      "type": "sample string 9",
      "phoneNumber": "sample string 10",
      "isShipping": true
    },
    {
      "id": 1,
      "country": "sample string 2",
      "streetAddress": "sample string 3",
      "city": "sample string 4",
      "state": "sample string 5",
      "zip": "sample string 6",
      "userId": "sample string 7",
      "contactName": "sample string 8",
      "type": "sample string 9",
      "phoneNumber": "sample string 10",
      "isShipping": true
    }
  ],
  "cardsUser": [
    {
      "id": 1,
      "cardNumber": "sample string 2",
      "addressId": 1,
      "address": {
        "id": 1,
        "streetAddress": "sample string 2",
        "city": "sample string 3",
        "state": "sample string 4",
        "zip": "sample string 5"
      },
      "type": "sample string 3",
      "cvv": "sample string 4",
      "expiredYear": 1,
      "expiredMonth": 1
    },
    {
      "id": 1,
      "cardNumber": "sample string 2",
      "addressId": 1,
      "address": {
        "id": 1,
        "streetAddress": "sample string 2",
        "city": "sample string 3",
        "state": "sample string 4",
        "zip": "sample string 5"
      },
      "type": "sample string 3",
      "cvv": "sample string 4",
      "expiredYear": 1,
      "expiredMonth": 1
    }
  ],
  "notifications": [
    {
      "id": 1,
      "message": "sample string 2",
      "quickViewMessage": "sample string 3",
      "orderId": 1,
      "isRead": true,
      "senderId": "sample string 5",
      "senderFullName": "sample string 6",
      "senderUserName": "sample string 7",
      "senderPhotoProfile": "sample string 8",
      "type": "sample string 9",
      "created": "2026-03-04T16:30:00.2887187Z",
      "notificationMessageType": "sample string 10"
    },
    {
      "id": 1,
      "message": "sample string 2",
      "quickViewMessage": "sample string 3",
      "orderId": 1,
      "isRead": true,
      "senderId": "sample string 5",
      "senderFullName": "sample string 6",
      "senderUserName": "sample string 7",
      "senderPhotoProfile": "sample string 8",
      "type": "sample string 9",
      "created": "2026-03-04T16:30:00.2887187Z",
      "notificationMessageType": "sample string 10"
    }
  ]
}

application/xml, text/xml

Sample:
<AccountInfoViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels">
  <Addresses xmlns:d2p1="http://schemas.datacontract.org/2004/07/ncdc.api.Orchestrators">
    <d2p1:AddressViewModel>
      <d2p1:City>sample string 4</d2p1:City>
      <d2p1:ContactName>sample string 8</d2p1:ContactName>
      <d2p1:Country>sample string 2</d2p1:Country>
      <d2p1:Id>1</d2p1:Id>
      <d2p1:IsShipping>true</d2p1:IsShipping>
      <d2p1:PhoneNumber>sample string 10</d2p1:PhoneNumber>
      <d2p1:State>sample string 5</d2p1:State>
      <d2p1:StreetAddress>sample string 3</d2p1:StreetAddress>
      <d2p1:Type>sample string 9</d2p1:Type>
      <d2p1:UserId>sample string 7</d2p1:UserId>
      <d2p1:Zip>sample string 6</d2p1:Zip>
    </d2p1:AddressViewModel>
    <d2p1:AddressViewModel>
      <d2p1:City>sample string 4</d2p1:City>
      <d2p1:ContactName>sample string 8</d2p1:ContactName>
      <d2p1:Country>sample string 2</d2p1:Country>
      <d2p1:Id>1</d2p1:Id>
      <d2p1:IsShipping>true</d2p1:IsShipping>
      <d2p1:PhoneNumber>sample string 10</d2p1:PhoneNumber>
      <d2p1:State>sample string 5</d2p1:State>
      <d2p1:StreetAddress>sample string 3</d2p1:StreetAddress>
      <d2p1:Type>sample string 9</d2p1:Type>
      <d2p1:UserId>sample string 7</d2p1:UserId>
      <d2p1:Zip>sample string 6</d2p1:Zip>
    </d2p1:AddressViewModel>
  </Addresses>
  <BankAccountID>sample string 15</BankAccountID>
  <CardCount>1</CardCount>
  <CardsUser xmlns:d2p1="http://schemas.datacontract.org/2004/07/GoShimmyCore.ViewModels.CardUsers">
    <d2p1:CardUserViewModel.GetCardUserViewModel>
      <d2p1:Address>
        <d2p1:City>sample string 3</d2p1:City>
        <d2p1:Id>1</d2p1:Id>
        <d2p1:State>sample string 4</d2p1:State>
        <d2p1:StreetAddress>sample string 2</d2p1:StreetAddress>
        <d2p1:Zip>sample string 5</d2p1:Zip>
      </d2p1:Address>
      <d2p1:AddressId>1</d2p1:AddressId>
      <d2p1:CardNumber>sample string 2</d2p1:CardNumber>
      <d2p1:Cvv>sample string 4</d2p1:Cvv>
      <d2p1:ExpiredMonth>1</d2p1:ExpiredMonth>
      <d2p1:ExpiredYear>1</d2p1:ExpiredYear>
      <d2p1:Id>1</d2p1:Id>
      <d2p1:Type>sample string 3</d2p1:Type>
    </d2p1:CardUserViewModel.GetCardUserViewModel>
    <d2p1:CardUserViewModel.GetCardUserViewModel>
      <d2p1:Address>
        <d2p1:City>sample string 3</d2p1:City>
        <d2p1:Id>1</d2p1:Id>
        <d2p1:State>sample string 4</d2p1:State>
        <d2p1:StreetAddress>sample string 2</d2p1:StreetAddress>
        <d2p1:Zip>sample string 5</d2p1:Zip>
      </d2p1:Address>
      <d2p1:AddressId>1</d2p1:AddressId>
      <d2p1:CardNumber>sample string 2</d2p1:CardNumber>
      <d2p1:Cvv>sample string 4</d2p1:Cvv>
      <d2p1:ExpiredMonth>1</d2p1:ExpiredMonth>
      <d2p1:ExpiredYear>1</d2p1:ExpiredYear>
      <d2p1:Id>1</d2p1:Id>
      <d2p1:Type>sample string 3</d2p1:Type>
    </d2p1:CardUserViewModel.GetCardUserViewModel>
  </CardsUser>
  <CurrentPlan>sample string 1</CurrentPlan>
  <CustomerID>sample string 16</CustomerID>
  <Description>sample string 5</Description>
  <Email>sample string 12</Email>
  <FullName>sample string 11</FullName>
  <HasAccessRole>true</HasAccessRole>
  <HasEnsembleMember>true</HasEnsembleMember>
  <HasPayoutEnable>true</HasPayoutEnable>
  <InstagramLink>sample string 6</InstagramLink>
  <IsEmailMeMessages>true</IsEmailMeMessages>
  <IsEmailMeNews>true</IsEmailMeNews>
  <IsEmailMePurchases>true</IsEmailMePurchases>
  <IsFirstProduct>true</IsFirstProduct>
  <IsMember>true</IsMember>
  <Notifications>
    <NotificationViewModel.GetNotificationViewModel>
      <Created>2026-03-04T16:30:00.2887187Z</Created>
      <Id>1</Id>
      <IsRead>true</IsRead>
      <Message>sample string 2</Message>
      <NotificationMessageType>sample string 10</NotificationMessageType>
      <OrderId>1</OrderId>
      <SenderFullName>sample string 6</SenderFullName>
      <SenderId>sample string 5</SenderId>
      <SenderPhotoProfile>sample string 8</SenderPhotoProfile>
      <SenderUserName>sample string 7</SenderUserName>
      <Type>sample string 9</Type>
      <quickViewMessage>sample string 3</quickViewMessage>
    </NotificationViewModel.GetNotificationViewModel>
    <NotificationViewModel.GetNotificationViewModel>
      <Created>2026-03-04T16:30:00.2887187Z</Created>
      <Id>1</Id>
      <IsRead>true</IsRead>
      <Message>sample string 2</Message>
      <NotificationMessageType>sample string 10</NotificationMessageType>
      <OrderId>1</OrderId>
      <SenderFullName>sample string 6</SenderFullName>
      <SenderId>sample string 5</SenderId>
      <SenderPhotoProfile>sample string 8</SenderPhotoProfile>
      <SenderUserName>sample string 7</SenderUserName>
      <Type>sample string 9</Type>
      <quickViewMessage>sample string 3</quickViewMessage>
    </NotificationViewModel.GetNotificationViewModel>
  </Notifications>
  <NotificationsLink>true</NotificationsLink>
  <NotificationsMessage>true</NotificationsMessage>
  <PhoneNumber>sample string 14</PhoneNumber>
  <PhotoProfile>sample string 13</PhotoProfile>
  <RatingCount>1.1</RatingCount>
  <RegisterViewModel>
    <Email>sample string 1</Email>
    <FullName>sample string 6</FullName>
    <Password>sample string 2</Password>
    <Role>sample string 5</Role>
    <StudioName>sample string 3</StudioName>
    <Username>sample string 4</Username>
  </RegisterViewModel>
  <ReviewsCount>1</ReviewsCount>
  <Status>sample string 19</Status>
  <SubscriptionStatus>sample string 2</SubscriptionStatus>
  <TikTokLink>sample string 7</TikTokLink>
  <Url>sample string 8</Url>
  <UserId>sample string 9</UserId>
  <UserName>sample string 10</UserName>
  <UserRole>sample string 20</UserRole>
  <bankName>sample string 17</bankName>
</AccountInfoViewModel>

multipart/form-data

Sample:
<AccountInfoViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><Addresses xmlns:d2p1="http://schemas.datacontract.org/2004/07/ncdc.api.Orchestrators"><d2p1:AddressViewModel><d2p1:City>sample string 4</d2p1:City><d2p1:ContactName>sample string 8</d2p1:ContactName><d2p1:Country>sample string 2</d2p1:Country><d2p1:Id>1</d2p1:Id><d2p1:IsShipping>true</d2p1:IsShipping><d2p1:PhoneNumber>sample string 10</d2p1:PhoneNumber><d2p1:State>sample string 5</d2p1:State><d2p1:StreetAddress>sample string 3</d2p1:StreetAddress><d2p1:Type>sample string 9</d2p1:Type><d2p1:UserId>sample string 7</d2p1:UserId><d2p1:Zip>sample string 6</d2p1:Zip></d2p1:AddressViewModel><d2p1:AddressViewModel><d2p1:City>sample string 4</d2p1:City><d2p1:ContactName>sample string 8</d2p1:ContactName><d2p1:Country>sample string 2</d2p1:Country><d2p1:Id>1</d2p1:Id><d2p1:IsShipping>true</d2p1:IsShipping><d2p1:PhoneNumber>sample string 10</d2p1:PhoneNumber><d2p1:State>sample string 5</d2p1:State><d2p1:StreetAddress>sample string 3</d2p1:StreetAddress><d2p1:Type>sample string 9</d2p1:Type><d2p1:UserId>sample string 7</d2p1:UserId><d2p1:Zip>sample string 6</d2p1:Zip></d2p1:AddressViewModel></Addresses><BankAccountID>sample string 15</BankAccountID><CardCount>1</CardCount><CardsUser xmlns:d2p1="http://schemas.datacontract.org/2004/07/GoShimmyCore.ViewModels.CardUsers"><d2p1:CardUserViewModel.GetCardUserViewModel><d2p1:Address><d2p1:City>sample string 3</d2p1:City><d2p1:Id>1</d2p1:Id><d2p1:State>sample string 4</d2p1:State><d2p1:StreetAddress>sample string 2</d2p1:StreetAddress><d2p1:Zip>sample string 5</d2p1:Zip></d2p1:Address><d2p1:AddressId>1</d2p1:AddressId><d2p1:CardNumber>sample string 2</d2p1:CardNumber><d2p1:Cvv>sample string 4</d2p1:Cvv><d2p1:ExpiredMonth>1</d2p1:ExpiredMonth><d2p1:ExpiredYear>1</d2p1:ExpiredYear><d2p1:Id>1</d2p1:Id><d2p1:Type>sample string 3</d2p1:Type></d2p1:CardUserViewModel.GetCardUserViewModel><d2p1:CardUserViewModel.GetCardUserViewModel><d2p1:Address><d2p1:City>sample string 3</d2p1:City><d2p1:Id>1</d2p1:Id><d2p1:State>sample string 4</d2p1:State><d2p1:StreetAddress>sample string 2</d2p1:StreetAddress><d2p1:Zip>sample string 5</d2p1:Zip></d2p1:Address><d2p1:AddressId>1</d2p1:AddressId><d2p1:CardNumber>sample string 2</d2p1:CardNumber><d2p1:Cvv>sample string 4</d2p1:Cvv><d2p1:ExpiredMonth>1</d2p1:ExpiredMonth><d2p1:ExpiredYear>1</d2p1:ExpiredYear><d2p1:Id>1</d2p1:Id><d2p1:Type>sample string 3</d2p1:Type></d2p1:CardUserViewModel.GetCardUserViewModel></CardsUser><CurrentPlan>sample string 1</CurrentPlan><CustomerID>sample string 16</CustomerID><Description>sample string 5</Description><Email>sample string 12</Email><FullName>sample string 11</FullName><HasAccessRole>true</HasAccessRole><HasEnsembleMember>true</HasEnsembleMember><HasPayoutEnable>true</HasPayoutEnable><InstagramLink>sample string 6</InstagramLink><IsEmailMeMessages>true</IsEmailMeMessages><IsEmailMeNews>true</IsEmailMeNews><IsEmailMePurchases>true</IsEmailMePurchases><IsFirstProduct>true</IsFirstProduct><IsMember>true</IsMember><Notifications><NotificationViewModel.GetNotificationViewModel><Created>2026-03-04T16:30:00.2887187Z</Created><Id>1</Id><IsRead>true</IsRead><Message>sample string 2</Message><NotificationMessageType>sample string 10</NotificationMessageType><OrderId>1</OrderId><SenderFullName>sample string 6</SenderFullName><SenderId>sample string 5</SenderId><SenderPhotoProfile>sample string 8</SenderPhotoProfile><SenderUserName>sample string 7</SenderUserName><Type>sample string 9</Type><quickViewMessage>sample string 3</quickViewMessage></NotificationViewModel.GetNotificationViewModel><NotificationViewModel.GetNotificationViewModel><Created>2026-03-04T16:30:00.2887187Z</Created><Id>1</Id><IsRead>true</IsRead><Message>sample string 2</Message><NotificationMessageType>sample string 10</NotificationMessageType><OrderId>1</OrderId><SenderFullName>sample string 6</SenderFullName><SenderId>sample string 5</SenderId><SenderPhotoProfile>sample string 8</SenderPhotoProfile><SenderUserName>sample string 7</SenderUserName><Type>sample string 9</Type><quickViewMessage>sample string 3</quickViewMessage></NotificationViewModel.GetNotificationViewModel></Notifications><NotificationsLink>true</NotificationsLink><NotificationsMessage>true</NotificationsMessage><PhoneNumber>sample string 14</PhoneNumber><PhotoProfile>sample string 13</PhotoProfile><RatingCount>1.1</RatingCount><RegisterViewModel><Email>sample string 1</Email><FullName>sample string 6</FullName><Password>sample string 2</Password><Role>sample string 5</Role><StudioName>sample string 3</StudioName><Username>sample string 4</Username></RegisterViewModel><ReviewsCount>1</ReviewsCount><Status>sample string 19</Status><SubscriptionStatus>sample string 2</SubscriptionStatus><TikTokLink>sample string 7</TikTokLink><Url>sample string 8</Url><UserId>sample string 9</UserId><UserName>sample string 10</UserName><UserRole>sample string 20</UserRole><bankName>sample string 17</bankName></AccountInfoViewModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml, multipart/form-data

Sample:

Sample not available.